Subject: [forces] BasicMetadataDispatch WAS(Re: LFB LPM issue

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 13 Apr 2011 06:30:11 -0400

Following up after looking at the draft some more..
In Figure1 is the sole purpose of BasicMetadataDispatch to just select
a mediaport path? It doesnt seem sensible given we could use
LFB-port-groups to select LFB (instances).

cheers,
jamal

On Wed, Apr 13, 2011 at 5:32 AM, Jamal Hadi Salim <[email-masked]> wrote:

> That was my initial thinking - but now that you bring it up again,
> you made me look closer at figure1...  Other than EtherPHYCop, is there any
> need for any other LFB instance to be per-mediaport? Indeed, the reverse
> case can be also argued and you have everything per-mediaport.
> But we do have ability for grouping of LFB-ports which can be used to mux
> to different instances of the same LFB class etc.
> Figure1 seems to have have some LFBs FE wide and some mediaport
> specific (the mediaencap seems to be port specific).
>
> cheers,
> jamal
>